Package com.pixelmed.dicom

# Class ContentItemFactory.CompositeContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

All Implemented Interfaces:
  `TreeNode`

Direct Known Subclasses:
  `ContentItemFactory.ImageContentItem`, `ContentItemFactory.WaveformContentItem`

Enclosing class:
  ContentItemFactory

public class ContentItemFactory.CompositeContentItem extends ContentItemWithValue

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`referencedSOPClassUID`
`protected String`
`referencedSOPInstanceUID`
`protected AttributeList`
`referencedSOPSequenceItemAttributeList`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`CompositeContentItem(ContentItem parent, AttributeList list)`
``
`CompositeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID)`
``
`CompositeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID, String observationDateTime, String observationUID)`
`protected`
`CompositeContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID)`
`protected`
`CompositeContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID, String observationDateTime, String observationUID)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCommonConstructorStuff(String referencedSOPClassUID, String referencedSOPInstanceUID)`
`String`
`getConceptValue()`
Get a string representation of the value of the concept.
`String`
`getReferencedSOPClassUID()`
Get the Referenced SOP Class UID of this content item, if present and applicable.
`String`
`getReferencedSOPInstanceUID()`
Get the Referenced SOP Instance UID of this content item, if present and applicable.
`String`
`toString()`
Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### referencedSOPSequenceItemAttributeList

protected AttributeList referencedSOPSequenceItemAttributeList

### referencedSOPClassUID

protected String referencedSOPClassUID

### referencedSOPInstanceUID

protected String referencedSOPInstanceUID

## Constructor Details

### CompositeContentItem

public CompositeContentItem(ContentItem parent, AttributeList list)

Parameters:
  `parent` - parent content item to add to
  `list` - the list of attributes for this content item

### CompositeContentItem

public CompositeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID, String observationDateTime, String observationUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `referencedSOPClassUID` - the SOP Class UID
  `referencedSOPInstanceUID` - the SOP Instance UID
  `observationDateTime` - Observation DateTime (or null or empty if none)
  `observationUID` - Observation UID (or null or empty if none)
Throws:
  `DicomException` - if error in DICOM encoding

### CompositeContentItem

public CompositeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `referencedSOPClassUID` - the SOP Class UID
  `referencedSOPInstanceUID` - the SOP Instance UID
Throws:
  `DicomException` - if error in DICOM encoding

### CompositeContentItem

protected CompositeContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID, String observationDateTime, String observationUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `valueType` - the value type
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `referencedSOPClassUID` - the SOP Class UID
  `referencedSOPInstanceUID` - the SOP Instance UID
  `observationDateTime` - Observation DateTime (or null or empty if none)
  `observationUID` - Observation UID (or null or empty if none)
Throws:
  `DicomException` - if error in DICOM encoding

### CompositeContentItem

protected CompositeContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, String referencedSOPClassUID, String referencedSOPInstanceUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `valueType` - the value type
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `referencedSOPClassUID` - the SOP Class UID
  `referencedSOPInstanceUID` - the SOP Instance UID
Throws:
  `DicomException` - if error in DICOM encoding

## Method Details

### doCommonConstructorStuff

protected void doCommonConstructorStuff(String referencedSOPClassUID, String referencedSOPInstanceUID) throws DicomException

Parameters:
  `referencedSOPClassUID` - the SOP Class UID
  `referencedSOPInstanceUID` - the SOP Instance UID
Throws:
  `DicomException` - if error in DICOM encoding

### getConceptValue

public String getConceptValue()
Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

### toString

public String toString()
Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item

### getReferencedSOPClassUID

public String getReferencedSOPClassUID()
Description copied from class: `ContentItem`

Get the Referenced SOP Class UID of this content item, if present and applicable.

Overrides:
  `getReferencedSOPClassUID` in class `ContentItem`
Returns:
  the SOP Class UID

### getReferencedSOPInstanceUID

public String getReferencedSOPInstanceUID()
Description copied from class: `ContentItem`

Get the Referenced SOP Instance UID of this content item, if present and applicable.

Overrides:
  `getReferencedSOPInstanceUID` in class `ContentItem`
Returns:
  the SOP Instance UID